"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fsExtra = require("fs-extra");
const path = require("path");
const ASSET_EXTENSIONS = [".css", ".js", ".png", ".jpeg", ".jpg", ".gif"];
const isDirectory = (src) => {
    return fsExtra.existsSync(src) && fsExtra.statSync(src).isDirectory();
};
const isAssetFile = (src) => {
    return ASSET_EXTENSIONS.includes(path.extname(src));
};
exports.copyAssetFiles = async (src, dest) => {
    await fsExtra.copy(src, dest, {
        filter: (targetPath) => {
            return isDirectory(targetPath) || isAssetFile(targetPath);
        },
        recursive: true,
    });
};
