"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const exportPages = async (pages, dest) => {
    if (!fs.existsSync(dest)) {
        fs.mkdirSync(dest);
    }
    const promises = pages.map(async (page) => {
        const dir = page.name === "index" ? "" : page.name;
        const filename = path.join(dest, dir, "index.html");
        if (!fs.existsSync(path.dirname(filename))) {
            fs.mkdirSync(path.dirname(filename), { recursive: true });
        }
        return fs.writeFileSync(filename, page.html);
    });
    const results = await Promise.all(promises);
    results.map(result => result !== undefined && console.error(result));
    return Promise.resolve();
};
exports.exportPages = exportPages;
